Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.ui
Class DynamicTreeModelService

    java.lang.Object
      org.eclipse.emf.ecp.view.dynamictree.ui.DynamicTreeModelService

All Implemented Interfaces:
  ViewModelService

    public class DynamicTreeModelService

extends Object
implements ViewModelService

Author:
  Eugen Neufeld

Constructor Summary
`DynamicTreeModelService()`

Method Summary
`static void` | `createActions(VCategorizableElement categorizableElement, VAction... actions)` Creates the actions for the given node.
`void` | `dispose()` Dispose.
`int` | `getPriority()` Returns the priority for this view service.
`void` | `instantiate(ViewModelContext context)` Instantiate the view service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicTreeModelService

    public DynamicTreeModelService()

Method Detail

### instantiate

    public void instantiate(ViewModelContext context)

  Instantiate the view service.

  Specified by:
    `instantiate` in interface `ViewModelService`
  Parameters:
    `context` - the `ViewModelContext`
  See Also:
    `ViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

### createActions

    public static void createActions(VCategorizableElement categorizableElement,
                                     VAction... actions)

  Creates the actions for the given node.

  Parameters:
    `categorizableElement` - the `VCategorizableElement` to create the actions for
    `actions` - the `VAction`s to be created

### dispose

    public void dispose()

  Dispose.

  Specified by:
    `dispose` in interface `ViewModelService`
  See Also:
    `ViewModelService.dispose()`

### getPriority

    public int getPriority()

  Returns the priority for this view service.

  Specified by:
    `getPriority` in interface `ViewModelService`
  Returns:
    the priority
  See Also:
    `ViewModelService.getPriority()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.